* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  line-height: 1.5;

  --primary-text-color: #181820;
  --secondary-text-color: #5c5c62;
  --durability-text-color: #6a737d9c;
  --icon-color: #6a737d;
  --border-color: #ff9a0045;
  --text-decoration-color: #ff9a00;
}

.container {
  margin: 0 auto;
  padding: 0 30px;
  max-width: 900px;
}

.fh {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.fv {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.resume {
  margin: 50px auto;
  border: 1px solid #f5f5f5;
  box-shadow: 1px 1px 7px 7px #f5f5f5;
  padding: 30px 0;
  max-width: 900px;
}

.resume__block {
  border-bottom: 3px solid var(--border-color);
  padding-bottom: 30px;
  margin-bottom: 15px;
}

@media screen and (max-width: 576px) {
  .main-info,
  .contact_info_container {
    flex-direction: column;
  }

  .contact_info_container {
    align-items: center;
  }

  .contact-info__block:not(:last-child) {
    margin-bottom: 20px;
  }

  .experiences {
    margin-right: 0;
  }
}

.contact-info__header,
.contact-info__sub-header {
  text-align: center;
}

.contact-info__header {
  color: var(--primary-text-color);
  margin-bottom: 15px;
  text-decoration-color: var(--text-decoration-color);
  text-decoration-line: underline;
}

.contact-info__sub-header {
  color: var(--secondary-text-color);
  margin-bottom: 30px;
}

.contact-info__block {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.contact-info__block--center {
  justify-content: center;
}

.contact-info__item {
  color: var(--secondary-text-color);
  text-decoration: none;
  display: flex;
  justify-content: start;
}

.contact-info__item:not(:last-child) {
  margin-bottom: 20px;
}

.contact-info__item-icon-wrapper {
  margin-right: 10px;
  width: 20px;
  display: flex;
  justify-content: center;
}

.contact-info__item-icon path {
  fill: var(--icon-color);
}

.contact-info__item-icon {
  height: 1.1428rem;
  vertical-align: text-bottom;
}

.contact-info__avatar {
  border-radius: 50%;
  width: 100px;
  height: 100px;
  object-fit: cover;
  border: 3px solid;
  border-color: var(--text-decoration-color);
}

.intro {
  display: flex;
  justify-content: start;
}

.intro__icon-wrapper {
  margin-right: 30px;
  width: 30px;
  display: flex;
  justify-content: center;
}

.intro__icon {
  height: 1.1428rem;
  vertical-align: text-bottom;
}

.intro__icon path {
  fill: var(--text-decoration-color);
}

.intro_text {
  color: var(--secondary-text-color);
  text-align: justify;
}

.skills__header {
  color: var(--secondary-text-color);
  text-align: center;
  margin-bottom: 15px;
}

.skills__text {
  color: var(--secondary-text-color);
  text-align: justify;
}

.experiences {
  flex: 1 1 60%;
  margin-right: 50px;
}

.experiences__header {
  color: var(--secondary-text-color);
  text-align: left;
  margin-bottom: 20px;
}

.experiences__company-header-durability {
  color: var(--durability-text-color);
  text-align: left;
  margin-bottom: 10px;
  font-size: 15px;
}

.experiences__company-header-name {
  color: var(--primary-text-color);
  text-decoration-color: var(--text-decoration-color);
  text-decoration-line: underline;
  text-align: left;
  margin-bottom: 20px;
}

.experiences__company-project {
  margin-left: 15px;
  margin-bottom: 25px;
}

.experiences__company-project-role {
  color: var(--durability-text-color);
  text-align: left;
  margin-bottom: 10px;
  font-size: 15px;
}

.experiences__company-project-name {
  color: var(--primary-text-color);
  text-align: left;
  margin-bottom: 10px;
}

.experiences__company-project-responsibilities {
  color: var(--secondary-text-color);
  padding-left: 20px;
}

.additional-info {
  flex: 1 1 40%;
}

.additional-info__education {
  margin-bottom: 20px;
}

.additional-info__education-header {
  color: var(--secondary-text-color);
  text-align: left;
  margin-bottom: 20px;
}

.additional-info__education-university-durability {
  color: var(--durability-text-color);
  text-align: left;
  margin-bottom: 10px;
  font-size: 15px;
}

.additional-info__education-university-speciality {
  color: var(--primary-text-color);
  text-align: left;
  margin-bottom: 10px;
}

.additional-info__education-university-name {
  color: var(--secondary-text-color);
}

.additional-info__languages {
  margin-bottom: 20px;
}

.additional-info__languages-header {
  color: var(--secondary-text-color);
  text-align: left;
  margin-bottom: 20px;
}

.additional-info__languages-item {
  color: var(--secondary-text-color);
}

.timeline {
  margin-bottom: 30px;
}

.timeline__title {
  color: var(--secondary-text-color);
  text-align: left;
  margin-bottom: 20px;
}

.timeline__list {
  position: relative;
  width: 660px;
  margin: 0 auto;
  margin-top: 20px;
  padding: 1em 0;
  list-style-type: none;
}

.timeline__list:before {
  position: absolute;
  left: 50%;
  top: 0;
  content: " ";
  display: block;
  width: 6px;
  height: 100%;
  margin-left: -3px;
  background: rgb(80, 80, 80);
  background: linear-gradient(
    to bottom,
    rgba(80, 80, 80, 0) 0%,
    rgb(80, 80, 80) 8%,
    rgb(80, 80, 80) 92%,
    rgba(80, 80, 80, 0) 100%
  );

  z-index: 5;
}

.timeline__list .timeline__item {
  padding: 1em 0;
}

.timeline__list .timeline__item:after {
  content: "";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}

.direction-l {
  position: relative;
  width: 300px;
  float: left;
  text-align: right;
}

.direction-r {
  position: relative;
  width: 300px;
  float: right;
}

.flag-wrapper {
  position: relative;
  display: inline-block;

  text-align: center;
}

.flag {
  position: relative;
  display: inline;
  background: rgb(248, 248, 248);
  padding: 6px 10px;
  border-radius: 5px;

  font-weight: 600;
  text-align: left;
}

.direction-l .flag {
  box-shadow: -1px 1px 1px rgba(0, 0, 0, 0.15), 0 0 1px rgba(0, 0, 0, 0.15);
}

.direction-r .flag {
  box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.15), 0 0 1px rgba(0, 0, 0, 0.15);
}

.direction-l .flag:before,
.direction-r .flag:before {
  position: absolute;
  top: 50%;
  right: -40px;
  content: " ";
  display: block;
  width: 12px;
  height: 12px;
  margin-top: -10px;
  background: #fff;
  border-radius: 10px;
  border: 4px solid var(--text-decoration-color);
  z-index: 10;
}

.direction-r .flag:before {
  left: -40px;
}

.direction-l .flag:after {
  content: "";
  position: absolute;
  left: 100%;
  top: 50%;
  height: 0;
  width: 0;
  margin-top: -8px;
  border: solid transparent;
  border-left-color: rgb(248, 248, 248);
  border-width: 8px;
  pointer-events: none;
}

.direction-r .flag:after {
  content: "";
  position: absolute;
  right: 100%;
  top: 50%;
  height: 0;
  width: 0;
  margin-top: -8px;
  border: solid transparent;
  border-right-color: rgb(248, 248, 248);
  border-width: 8px;
  pointer-events: none;
}

.time-wrapper {
  display: inline;

  line-height: 1em;
  font-size: 0.66666em;
  color: var(--text-decoration-color);
  vertical-align: middle;
}

.direction-l .time-wrapper {
  float: left;
}

.direction-r .time-wrapper {
  float: right;
}

.time {
  display: inline-block;
  padding: 4px 6px;
  background: rgb(248, 248, 248);
}

@media screen and (max-width: 660px) {
  .timeline__list {
    width: 100%;
    padding: 4em 0 1em 0;
  }

  .timeline__list .timeline__item {
    padding: 2em 0;
  }

  .direction-l,
  .direction-r {
    float: none;
    width: 100%;

    text-align: center;
  }

  .flag-wrapper {
    text-align: center;
  }

  .flag {
    background: rgb(255, 255, 255);
    z-index: 15;
  }

  .direction-l .flag:before,
  .direction-r .flag:before {
    position: absolute;
    top: -30px;
    left: 50%;
    content: " ";
    display: block;
    width: 12px;
    height: 12px;
    margin-left: -9px;
    background: #fff;
    border-radius: 10px;
    border: 4px solid var(--text-decoration-color);
    z-index: 10;
  }

  .direction-l .flag:after,
  .direction-r .flag:after {
    content: "";
    position: absolute;
    left: 50%;
    top: -8px;
    height: 0;
    width: 0;
    margin-left: -8px;
    border: solid transparent;
    border-bottom-color: rgb(255, 255, 255);
    border-width: 8px;
    pointer-events: none;
  }

  .time-wrapper {
    display: block;
    position: relative;
    margin: 4px 0 0 0;
    z-index: 14;
  }

  .direction-l .time-wrapper {
    float: none;
  }

  .direction-r .time-wrapper {
    float: none;
  }
}

.inform-block__wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
}

.inform-block__title {
  color: var(--secondary-text-color);
  text-align: left;
  margin-bottom: 20px;
}

.inform-block__column {
  flex: 1;
  margin: 0 10px;
}

.inform-block__header {
  font-size: 2rem;
  text-align: center;
  margin-bottom: 20px;
}

.inform-card {
  background-color: white;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0,0,0,0.1);
  padding: 20px;
  margin-bottom: 20px;
}

.inform-card__title {
  margin-bottom: 10px;
}

.inform-card__list {
  list-style-type: none;
  padding-left: 10px;
}

.inform-card__item {
  margin-bottom: 10px;
}

@media screen and (max-width: 576px) {
  .inform-block__wrapper {
    grid-template-columns: 1fr;
    gap: 10px;
  }

  .inform-block__header {
    display: none;
  }
}